\documentclass[tikz]{standalone}
\pagenumbering{gobble}
\usepackage{gitdags}

\begin{document}

\begin{tikzpicture}
  \gitDAG[grow right sep = 2em]{
    A -- B -- { C -- F , D -- E } -- { G -- H, I -- J } -- K,
    E -- G
  };
  \gitbranch{master}{above=of K}{K}
  \gitbranch{frobnicate}{below=of J}{J}
  \gitHEAD{above=of master}{master}
\end{tikzpicture}

\end{document}
